#ifndef INPUT_HANDLE_H
#define INPUT_HANDLE_H

/*
  ϤܥåȤΰư®٤Ѵ
  Satofumi KAMIMURA
  $Id: inputHandle.h 30 2009-08-10 01:54:59Z satofumi $
*/

#include "mRunCtrl.h"
#include "urgCtrl.h"
#include "joystickCtrl.h"
#include "userInput.h"


typedef struct {
  int straight;
  VXV::Direction rotate;
  bool jet;
} robotInput_t;


extern void drawJetMode(const robotInput_t& ri);
extern void drawCaptures(URGCtrl& urg, RunCtrl& run);
extern robotInput_t inputHandle(const JoystickCtrl& js,
				const UserInput::userInput_t& key);
extern void robotCtrl(mRunCtrl& run, const robotInput_t& ri);

#endif /* !INPUT_HANDLE_H */
